Därför är det viktigt att uppgradera PHP för din hemsida

PHP 7.4 EOL

PHP 8.1 når End of Life den 31 december 2025. Efter det kommer utvecklarna sluta underhålla och säkerhetsuppdatera versionen. Även om det inte är någon stress att uppdatera till en senare version just nu, rekommenderar vi att du alltid använder någon av de senaste PHP-versionerna. Använder du PHP 8.1? Ja, då tycker vi att du ska uppgradera till PHP 8.2 eller 8.3 redan nu!

Vad är PHP?

PHP står för Hypertext Preprocessor och är ett programmeringsspråk med öppen källkod. Det används främst på webbservrar för att driva hemsidor med dynamiskt innehåll, som till exempel bloggar, nyhetsflöden och sökmotorer. Idag används det av många populära CMS-system, som WordPress, Joomla och Opencart, och nära 80% av alla hemsidor. Därmed är PHP det mest använda skriptspråket på nätet.

PHP är under ständig utveckling. Varje år släpps en ny version, med en livscykel på ungefär 3 år. Under de första två åren uppdateras versionen aktivt, men under det tredje och sista året får versionen endast uppdateringar för kritiska säkerhetsbrister. Därför är det en risk att fortsätta använda äldre PHP-versioner, eftersom de inte längre får några kritiska säkerhetsuppdateringar överhuvudtaget. 
Vi på Loopia erbjuder PHP på samtliga av våra UNIX-servrar. För närvarande erbjuder vi version 8.1, 8.2 och 8.3. Eftersom 8.1 når End of Life den 31 december 2025, rekommenderar vi att du använder någon av de senare två versionerna. Du kan läsa mer om de olika PHP-versionerna och när deras support upphör på PHPs egen hemsida.

Två fördelar med att använda den senaste PHP-versionen på din hemsida

Det finns två stora fördelar med att uppgradera till en senare PHP-version:

Högre säkerhet

En aktuell PHP-version får regelbundna säkerhetsuppdateringar för att täppa igen eventuella säkerhetshål och brister. Utvecklarna ser däremot inte över äldre PHP-versioner överhuvudtaget. Om du fortsätter använda en äldre PHP-version riskerar du därför att din hemsida utsätts för intrång.

Bättre prestanda

Förutom att nyare PHP-versioner är säkrare är de också kraftfullare än äldre versioner. Det är också därför många moderna CMS eller hemsidesverktyg, som till exempel WordPress, kräver att du använder en senare version av PHP.

Så enkelt uppgraderar du PHP för din hemsida hos Loopia

  1. Logga in i din Loopia Kundzon via loopia.se/loggain.
  2. Gå till “Konfiguration”. I listan över alla domäner/subdomäner i kontot ser du vilka hemsidor som använder PHP 8.1.
  3. Klicka på det domännamn du vill uppgradera PHP för.
  4. Välj PHP 8.2 eller PHP 8.3.
  5. Klicka på “Spara”. Klart!

När du har uppgraderat PHP behöver du besöka din hemsida för att kontrollera att allt fungerar som tidigare.

  • Ser allt bra ut? Bra, då behöver du inte göra något mer!
  • Ser något inte ut som det ska? Byt tillbaka till 8.1 igen och följ våra instruktioner för att justera din hemsida så att den blir kompatibel med PHP 8.2 eller 8.3. Uppgradera sedan på nytt.
Dela detta inlägg:

Vi finns här för dig - varje dag

Om du behöver hjälp finns vår prisvinnande support tillgänglig alla dagar, året runt, for att svara på frågor via telefon, e-post, chatt och sociala medier.

Kontakta oss